Enspace
  1. Schedule Tasks
Enspace
  • Introduction
  • Authentication
  • Concepts
  • First Steps
  • Workspaces
    • Types
      • Fields
        • List Fields
        • Create Field
        • Get Field
        • Field Updated
        • Delete Field
      • Items
        • List Items
        • Create Item
        • Count Items
        • Get Item
        • Update Item
        • Delete item
      • Flows
        • Stages
          • Tasks
            • List Tasks
            • Get specific Task
            • New Task
          • List Stages
          • Get specific Stage
        • List Flows
        • Get specific Flow
      • Forms
        • List Form
        • Get specific Form
        • List Form Create
      • List Types
      • Count Types
      • Get specific Type
      • Create Type
      • Update Type
      • Delete Type
    • Members
      • List Members
      • Count Members
      • Get Member
      • New Member
      • Update Member
      • Remove Member
    • Roles
      • List roles
      • Create role
      • Count roles
      • Get specific role
      • Update role
      • Delete role
      • List Role Permissions
      • Add Permission to Role
      • Remove Role Permission
    • Member Groups
      • List groups
      • New group
      • Get group
      • Update group
      • Delete group
      • Add Users
      • Remove Users
    • Quick Tasks
      • List Quick Tasks
      • Count Quick Tasks
      • Get Quick Task
      • Delete Quick Task
      • Update Quick Task
      • New Quick Task
    • Integrations
      • CertiSign Integration
      • Docusign Integration
      • D4Sign Integration
      • Clicksign Integration
      • Clicksign Integration Copy
      • Integration
      • New Integration
    • Schedule Tasks
      • List Schedule Tasks
        GET
      • Get specify Schedule Task
        GET
    • List Workspaces
      GET
    • Workspace Context
      GET
    • New Workspace
      POST
    • Leave the workspace
      POST
    • Workspace Statistics
      GET
    • Workspace Deletion Preview
      GET
    • Delete Workspace
      DELETE
  • User
    • Request Log
      GET
    • List API Keys
      GET
  • Schemas
    • Schemas
      • Members
        • MemberUpdate
        • MemberCreate
        • Member
      • Roles
        • Role
        • RoleCreate
        • RoleUpdate
      • MemberGroups
        • MemberGroup
        • MemberGroupCreate
        • MemberGroupUpdate
      • Types
        • Type
        • TypeInput
        • TypeDetail
      • Items
        • Item
        • ItemInput
      • Workspace
        • WorkspaceContext
        • WorkspaceStats
        • Workspace
        • WorkspaceCreate
        • WorkspaceUpdate
      • Tasks
        • Tasks
      • Flow
        • Flow
      • Stages
        • Stage
      • Forms
        • Forms
      • Integrations
        • Integrations
      • User
      • RequestLog
      • UserApiKey
      • SuccessResponse
      • ErrorResponse
      • Field
      • FieldInput
      • Permission
      • PermissionInput
      • Error
    • Response
      • BadRequest
      • Unauthorized
      • Forbidden
      • NotFound
      • ServerError
  1. Schedule Tasks

List Schedule Tasks

Developing
Develop Env
https://api-develop.enspace.io
Develop Env
https://api-develop.enspace.io
GET
https://api-develop.enspace.io
/c-flow-item-tasks
Maintainer:Julio Cordeiro

Lists scheduled tasks executed within flows.#

This endpoint returns tasks that were triggered by scheduled actions during the execution of a flow. Each record includes task information, execution status, related flow data, and the associated item with its form data.
The response may contain multiple tasks related to different items and flows.
INFO
Each record in the response represents a task execution associated with a flow item. The response includes task information, execution status, related flow details, and the item data used during the flow execution.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
API Key
Add parameter in header
en-workspace
Example:
en-workspace: ********************
or
Query Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api-develop.enspace.io/c-flow-item-tasks?__relations=flow_item.item,assigned,external_task&_sort=id:desc&created_at_gte=2026-02-10T14:50:31.242Z&work_status_in=complete&_limit=5' \
--header 'x-api-key: <api-key>' \
--header 'en-workspace: <api-key>'
Response Response Example
[
    {
        "id": 0,
        "status": "string",
        "task": 0,
        "work_status": "string",
        "flow_item": {
            "id": 0,
            "item": {
                "id": 0,
                "reference": "string",
                "data": {}
            }
        }
    }
]
Previous
New Integration
Next
Get specify Schedule Task
Built with